Did you know LQ has a Linux Hardware Compatibility List?
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 12-14-2011, 06:01 AM   #1
Registered: Aug 2003
Location: Shenzhen, China
Distribution: Slackware
Posts: 303

Rep: Reputation: 47
Any chance to have newer xorg packages (1.11 series)?

As far as I know Slackware only have latest 1.9 series. Is it possible to have 1.11 packages for my intel HD graphics card built in intel i3 cpu? Or is there any howto to build the packages easier?

Intel 2011Q4 graphics package components
Kernel: Linux 3.1 release
3D driver: mesa 7.11.2 release
2D driver: xf86-video-intel 2.17.0 release
Libdrm: libdrm-2.4.27 release
Libva: libva-1.0.15 release
Vaapi-driver-intel: vaapi-driver-intel-1.0.15 release
(xserver-1.11.1 is tested with this stack)
Old 12-14-2011, 09:09 AM   #2
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,191
Blog Entries: 4

Rep: Reputation: 464Reputation: 464Reputation: 464Reputation: 464Reputation: 464
You could always create your own packages by following the instructions at or by using src2pkg. It's also worth checking the repositories at Slackbuilds as someone else may have done the heavy lifting already.
Old 12-15-2011, 02:05 AM   #3
Registered: Aug 2003
Location: Shenzhen, China
Distribution: Slackware
Posts: 303

Original Poster
Rep: Reputation: 47
Thanks for the reply. I am reluctant to compile the packages for now, because I am frightened by the number of individual packages needed. My intention was to solve the choppy playback problem of some movies within XBMC (my HTPC). Today I upgraded xbmc-10.1 to xbmc-git instead, problem solved. It seems that the xbmc-git version has better support for intel vaapi hardware acceleration. So no hurry for newer xorg packages now.


intel graphics, xorg 1.11.1

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Building packages for newer versions of Slack madsovenielsen Slackware 2 08-09-2011 04:30 PM
slackpkg flags newer packages for update kingbeowulf Slackware 8 03-06-2011 08:15 PM
upgrading to newer packages charlie_lab Linux From Scratch 2 06-05-2009 07:21 AM
newer packages in debian black_man Debian 1 11-11-2004 04:25 PM
Newer packages on an older system? Pathian Slackware 1 07-07-2004 03:32 PM

All times are GMT -5. The time now is 06:19 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration